=== graphics/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(wildcard graphics/*.png graphics/*.xpm graphics/*.svg)
dist_files += graphics/Makefile $(wildcard graphics/*.png graphics/*.xpm graphics/*.svg)
clean-files += $(addsuffix .png, $(basename $(wildcard graphics/*.svg)))

# This target is not actually used anywhere.
clean-graphics:
	rm $(addsuffix .png, $(basename $(wildcard graphics/*.svg)))

install-graphics:
	mkdir -p $(DESTDIR)/$(datadir)/pixmaps
	$(INSTALL_DATA) graphics/solfege.svg $(DESTDIR)/$(datadir)/pixmaps/

uninstall-graphics:
	rm -f $(DESTDIR)/$(datadir)/pixmaps/solfege.png
