=== debian/changelog ===
solfege (3.23.4-11) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Francois Mazen <francois@mzf.fr>  Tue, 20 Apr 2021 22:02:00 +0200

solfege (3.23.4-10) unstable; urgency=medium

  * Fix broken simlink (Closes: #986470)
  * Update Standards-Version to 4.5.1.

 -- Francois Mazen <francois@mzf.fr>  Mon, 05 Apr 2021 01:56:42 +0200

solfege (3.23.4-9) unstable; urgency=medium

  * Display message when documentation is not installed (Closes: #949294)
  * Replace unversioned python call to explicit python3 (Closes: #967212)
  * Move documentation in /usr/share/doc and register html files with doc-base
  * Remove duplicate files in documentation with jdupes

 -- Francois Mazen <francois@mzf.fr>  Mon, 03 Aug 2020 19:37:38 +0200

solfege (3.23.4-8) unstable; urgency=medium

  * Fix python3 warning (Closes: #955170).
  * Update VCS url.
  * Set debhelper-compat to 13.
  * Use yelp-tools to generate documentation.
  * Fix national encoding Lintian warning.
  * Forward patches to upstream.
  * Recommends solfege-doc for solfege (Bug#949294).

 -- Francois Mazen <francois@mzf.fr>  Sat, 09 May 2020 17:25:52 +0200

solfege (3.23.4-7) unstable; urgency=medium

  * Add dh-python dependency (Closes: #951890)
  * Remove gnome-doc-utils dependency (Closes: #947539)
  * Fix UTF-8 issue with tex2any and topdocs files.
  * Update Standards-Version to 4.5.0.
  * Update Debhelper compatibility to 12.

 -- Francois Mazen <francois@mzf.fr>  Sun, 23 Feb 2020 21:57:26 +0100

solfege (3.23.4-6) unstable; urgency=medium

  * Fix failing autopkgtest
  * Add Salsa VCS fields in control file
  * Setup Salsa CI

 -- Francois Mazen <francois@mzf.fr>  Mon, 04 Feb 2019 22:01:49 +0100

solfege (3.23.4-5) unstable; urgency=high

  * Fix webbrowser registering issue (Closes: #920639)
  * Update Standards Version to 4.3.0
  * Add simple autopkgtest

 -- Francois Mazen <francois@mzf.fr>  Mon, 28 Jan 2019 21:08:40 +0100

solfege (3.23.4-4) unstable; urgency=low

  * Fix mismatch between intermediate eps files when converting lilypond files
    to png files. This issue lead to reproducible issue.
  * Add Comment entry to desktop file to fix AppStream error.

 -- Francois Mazen <francois@mzf.fr>  Sun, 19 Aug 2018 12:01:06 +0200

solfege (3.23.4-3) unstable; urgency=low

  * New maintainer (Closes: #762451)
  * Updating Standards-Version to 4.2.0
  * Add sensible-utils dependency
  * Remove trailing whitespaces in changelog file
  * Add keywords to desktop file

 -- Francois Mazen <francois@mzf.fr>  Thu, 16 Aug 2018 14:54:29 +0200

solfege (3.23.4-2) unstable; urgency=low

  * QA upload.
  * Mark solfege-oss as Multi-Arch: same.
  * Add lintian override for dependency-is-not-multi-archified, because
    solfege can't be multi-archified.
  * Add patch to sort languages in generated file to allow reproducible build.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 16 Feb 2018 00:42:33 +0100

solfege (3.23.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - no longer requires rsvg (LP: #1004485)
  * Orphan package (see #762445).
  * debian/control:
    - update Homepage
    - update build dependencies for port to python3 / gtk3
    - drop recommendation of pyalsa, which is only available for python2
    - mark solfege-doc as Multi-Arch: foreign
    - minor improvements to descriptions
  * debian/patches:
    - refresh patches
    - add patch to fix warnings during autoreconf causing build failure
    - add patch to honour CPPFLAGS to support passing hardening flags
    - add patch to fix gtk deprecation warnings
    - add patch to workaround hidden menubar texts
    - re-add xvfb-run patch to series file
    - drop patch that disabled gettext test (running fine now)
    - drop patch that disabled pot rebuilding, as the target is not run
    - add DEP3 headers
  * Update Standards-Version to 4.1.3
    - drop menu file
  * Update debhelper compatibility to 11.
  * Add debian/clean to properly clean generated files.
  * Remove trailing whitespace in debian/changelog.
  * Build with all hardening options.
  * Point watch file to sf.net (the recent versions are currently
    distributed there).
  * Update paths of installed files in debian/*.install.
  * Enable running tests during build again
    - set UTF-8 locale, which is currently required by tests
  * Convert debian/copyright to copyright format 1.0 and add myself.
  * Run wrap-and-sort.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 10 Feb 2018 19:33:02 +0100
