=== debian/tests/control ===
Tests: version
Depends: solfege, expect
